Skip to main content
PUT
/
reimbursement_line_items
/
{reimbursement_line_item}
Update a reimbursement line item
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/reimbursement_line_items/{reimbursement_line_item} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reimbursement_type": "non_taxable_reimbursement",
  "accrued_vacation_pay": "0"
}
'
{
  "id": "<id>",
  "object": "reimbursement_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "line_item_type": "reimbursement",
    "is_managed": false,
    "amount": 35,
    "custom_amount": null,
    "managed_amount": 35,
    "accrued_vacation_pay": 0,
    "reimbursement_type": {
      "id": "<id>",
      "object": "reimbursement_type",
      "data": {
        "type": "non_taxable_reimbursement",
        "label": "Non-Taxable Reimbursement"
      },
      "links": {
        "self": "/reimbursement_types/non_taxable_reimbursement"
      }
    },
    "recurrence": null,
    "title": null,
    "title_translations": null,
    "title_translated": null,
    "business_preset": null,
    "source_adjustment": null,
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "component_settings": {
      "attributes_locked": false
    },
    "earned_on": null,
    "managed_earned_on": null,
    "custom_earned_on": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/reimbursement_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reimbursement_line_item
string
required

Body

application/json
business_preset_id
string

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

reimbursement_type
enum<string>

The type of reimbursement for this line item.

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

Available options:
health_spending_account,
non_taxable_reimbursement,
professional_membership,
taxable_reimbursement,
transit_pass,
wellness_spending_account
custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Editing is prevented when is_editable is false

Required range: x <= 99999
accrued_vacation_pay
number<decimal>

The vacation pay accrued on this line item, calculated based on the Work Assignment's Vacation Pay Settings.

Required range: 0 <= x <= 99999
title
string | null

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

Maximum string length: 255
title_translations
object

Optional translations for the title property.

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

expense_accounting_code_id
string

Writing may be blocked when entity is managed by a parent resource

custom_expense_accounting_code_id
string
liability_accounting_code_id
string

Writing may be blocked when entity is managed by a parent resource

custom_liability_accounting_code_id
string
component_settings
object
custom_earned_on
string<date>

Editing is prevented when is_editable is false

external_ref
string
Maximum string length: 255
custom_tag_assignment
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("reimbursement_line_item").

data
Reimbursement Line Item · object